{
  disko.devices = {
    disk = {
      pindakaas_sd = {
        type = "disk";
        device = "/dev/disk/by-id/usb-Kingston_DataTraveler_3.0_E0D55EA57414F510489F0F1A-0:0";
        content = {
          type = "gpt";
          partitions = {
            ESP = {
              # Needs enough to store multiple kernel generations
              size = "512M";
              type = "EF00";
              content = {
                type = "filesystem";
                format = "vfat";
                mountpoint = "/boot";
                mountOptions = [
                  "defaults"
                ];
              };
            };
            luks = {
              size = "100%";
              content = {
                type = "luks";
                name = "pindakaas_sd";
                #passwordFile = "/tmp/secret.key"; # Commented out so asked interactively
                settings = {
                  # Not having SSDs die fast is more important than crypto
                  # nerds that could potentially discover which filesystem I
                  # use from TRIM patterns
                  allowDiscards = true;
                };
                content = {
                  type = "btrfs";
                  extraArgs = [ "-f" ];
                  subvolumes = {
                    "/nixos" = {
                      mountpoint = "/";
                      mountOptions = [ "compress=zstd" "noatime" ];
                    };
                    "/home" = {
                      mountpoint = "/home";
                      mountOptions = [ "compress=zstd" "relatime" ];
                    };
                    "/nix" = {
                      mountpoint = "/nix";
                      mountOptions = [ "compress=zstd" "noatime" ];
                    };
                    # Maybe later
                    # "/swap" = {
                    #   mountpoint = "/.swapvol";
                    #   swap.swapfile.size = "20M";
                    # };
                  };
                };
              };
            };
          };
        };
      };
    };
  }
