{ pkgs, config, ... }:
{
  # This whole folder is DEBUG
  imports = [
    "${builtins.fetchTarball "https://github.com/nix-community/disko/archive/3cb78c93e6a02f494aaf6aeb37481c27a2e2ee22.tar.gz"}/module.nix"
    ./disko.nix
  ];

  nixpkgs.config.allowUnfree = true;
  networking.hostName = "curacao_usb";

  boot = {
    # nixos-hardware use latest kernel by default. It has been set a while ago, we maybe don't need it anymore?
    kernelPackages = pkgs.linuxPackages;

    # Pinebook supports UEFI, at least when tow-boot is installed on the SPI
    loader = {
      # EFI Variables don't work (no generation appears in systemd-boot)
      efi.canTouchEfiVariables = false;

      # systemd-boot crashes after booting, so GRUB it is
      grub = {
        enable = true;
        efiSupport = true;
        efiInstallAsRemovable = true;
        device = "nodev";
      };
    };
  };
}
