{ pkgs, config, ... }:
let
  stylix = builtins.fetchGit {
    url = "https://github.com/danth/stylix.git";
    ref = "release-23.05";
  };
in
{
  imports = [ (import stylix).homeManagerModules.stylix ];

  stylix = {
    # FIXME Changeable at runtime
    base16Scheme = "${pkgs.base16-schemes}/share/themes/solarized-dark.yaml";
    image = builtins.fetchurl {
      url = "https://get.wallhere.com/photo/sunlight-abstract-minimalism-green-simple-circle-light-leaf-wave-material-line-wing-computer-wallpaper-font-close-up-macro-photography-124350.png";
      sha256 = "sha256:1zfq3f3v34i45mi72pkfqphm8kbhczsg260xjfl6dbydy91d7y93";
    };
    # The background is set on some occasions, autorandr + feh do the rest

    fonts = {
      sizes = {
        applications = 10;
        terminal = 10;
      };
      # FIXME Somehow this seems smaller than Arch on the left screen, yet bigger on the right...
      monospace = {
        package = pkgs.nerdfonts.override {
          fonts = [ "DejaVuSansMono" ]; # Choose from https://github.com/NixOS/nixpkgs/blob/6ba3207643fd27ffa25a172911e3d6825814d155/pkgs/data/fonts/nerdfonts/shas.nix
        };
        name = "DejaVuSansM Nerd Font";
      };
    };

    targets = {
      vim.enable = false; # FIXME Not compatible with nixvim for now (there's a MR)
      i3.enable = false; # I prefer my own styles
      tmux.enable = false; # Using another theme
    };
  };

  # Fix https://nix-community.github.io/home-manager/index.html#_why_do_i_get_an_error_message_about_literal_ca_desrt_dconf_literal_or_literal_dconf_service_literal
  # home.packages = [ pkgs.dconf ];
  dconf.enable = false; # Otherwise standalone home-manager complains it can't find /etc/dbus-1/session.conf on Arch.
  # Symlinking it to /usr/share/dbus-1/session.conf goes further but not much.


}
