{ pkgs, config, ... }:
{
  imports = [
    "${builtins.fetchTarball "https://github.com/nix-community/home-manager/archive/release-23.05.tar.gz"}/nixos"
  ];

  users.users.geoffrey = {
    isNormalUser = true;
    extraGroups = [ "wheel" ]; # Enable ‘sudo’ for the user.
    shell = pkgs.zsh;

    initialHashedPassword = "$y$j9T$e64bjL7iyVlniEKwKbM9g0$cCn74za0r6L9QMO20Fdxz3/SX0yvhz3Xd6.2BhtbRL1"; # Not a real password
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPE41gxrO8oZ5n3saapSwZDViOQphm6RzqgsBUyA88pU geoffrey@frogeye.fr"
    ];
  };

  # Won't allow to set the shell otherwise,
  # even though home-manager sets it
  programs.zsh.enable = true;

  home-manager = {
    users.geoffrey = { pkgs, ... }: {
      imports = [
        ../hm
      ];
      frogeye = config.frogeye;
    };
    # Makes VMs able to re-run
    useUserPackages = true;
    # Adds consistency
    useGlobalPkgs = true;
  };

  # FIXME Make sure I'm the only user & everything is encrypted
  services.xserver.displayManager.autoLogin.user = "geoffrey";
}
