{ pkgs, config, ... }:
{
  imports = [
    # First commit before 23.05 release date:
    "${builtins.fetchTarball "https://github.com/NixOS/nixos-hardware/archive/468a7a108108908c7a35d6549f1e1f0236a9448a.tar.gz"}/pine64/pinebook-pro"
  ];

  boot = {
    # nixos-hardware use latest kernel by default. It has been set a while ago, we maybe don't need it anymore?
    kernelPackages = pkgs.linuxPackages;

    # Pinebook supports UEFI, at least when tow-boot is installed on the SPI
    loader = {
      # EFI Variables don't work (no generation appears in systemd-boot)
      efi.canTouchEfiVariables = false;

      # systemd-boot crashes after booting, so GRUB it is
      grub = {
        enable = true;
        efiSupport = true;
        efiInstallAsRemovable = true;
        device = "nodev";
      };
    };
  };

}
